import 'package:flutter/material.dart';
import 'package:flutter_svg/svg.dart';
import 'package:syncrow_web/utils/color_manager.dart';

class CurtainActionWidget extends StatelessWidget {
  final String icon;
  final void Function() onTap;
  const CurtainActionWidget({
    super.key,
    required this.icon,
    required this.onTap,
  });

  @override
  Widget build(BuildContext context) {
    return InkWell(
      onTap: onTap,
      child: ClipOval(
          child: Container(
        height: 60,
        width: 60,
        padding: const EdgeInsets.all(8),
        color: ColorsManager.whiteColors,
        child: ClipOval(
          child: Container(
            height: 60,
            width: 60,
            padding: const EdgeInsets.all(8),
            color: ColorsManager.graysColor,
            child: SvgPicture.asset(
              icon,
              width: 35,
              height: 35,
              fit: BoxFit.contain,
            ),
          ),
        ),
      )),
    );
  }
}
